Subject: [edu-team] Fwd: Speaking of tools

From: Avri Doria <[email-masked]>
Date: Wed, 7 Mar 2007 11:44:10 -0500

hi,

the following is Henrik's writeup for a class.

I think it looks great.  Other opinions?  I think we should schedule  
it for Chicago?  the question remains on whether to do two tools  
classes over time, Henrik's and the secretariat tools, or to combine  
them into one class.

a.

Begin forwarded message:

>
>> What I will need at some point in the next couple of weeks is a one
>> to two paragraph write-up of what a class would cover.
>
> Sure.  I'm not sure if we can cover all of this in one session, or
> whether we should try to break it up.  Maybe start with an overview
> session and go from there.  Anyway, this is what I have in mind for
> my part of this:
>
>   * Document search, display and print tools
>
>     This covers tools for retrieval of current and old documents based
>     on part of the filename, or on content; various available ways to
>     view the documents (plain text, html, pdf, diffs), print them
>     nicely, and get more information about their status etc.
>
>
>   * Draft preparation tools
>
>     A brief mention of xml2rfc (there may be another presentation  
> which
>     goes into the details?) but more about idnits, diff tools, spell-
>     checking, and maybe XML validation.
>
>
>   * Working group tools
>
>     Working group status pages and individual document status pages,
>     wikis, issue trackers, collected session agendas and session  
> minutes
>     marked up with document and materials links.  Email aliases for
>     WG chairs and ADs.
>
>
>   * IETF meeting related tools
>
>     Meeting agenda marked up with links to: htmlized session agendas,
>     jabber rooms, meeting materials, room location etc.  Individually
>     customised extracts from the agenda converted to downloadable and
>     subscribable calendar files.
>
>
> (And just maybe, if there is time at the end a little bit about:
>
>   * Tool builder tools
>
>     Meta-information about drafts and working groups which is  
> available
>     to prospective tool builders - where to find it, what kind of
>     information is available, and in which formats. )
>
>
>
> 	Henrik
>

_______________________________________________
edu-team mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/edu-team

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 07 Mar 2007 18:13:21 +0100

I agree that this would make a good solid class for
Chicago.

    Brian

On 2007-03-07 17:44, Avri Doria wrote:
> I think it looks great.  Other opinions?  I think we should schedule it 
> for Chicago?  the question remains on whether to do two tools classes 
> over time, Henrik's and the secretariat tools, or to combine them into 
> one class.
> 
> a.
> 
> 
> Begin forwarded message:
> 
>>
>>     A brief mention of xml2rfc (there may be another presentation which
>>     wikis, issue trackers, collected session agendas and session minutes
>>     Meta-information about drafts and working groups which is available